All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Convert
Conversion Functions

## Convert

Routines for converting the sample-data type of signals.
NppStatus | nppsConvert_8s16s_Ctx (const Npp8s *pSrc, Npp16s *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_8s16s (const Npp8s *pSrc, Npp16s *pDst, int nLength)
NppStatus | nppsConvert_8s32f_Ctx (const Npp8s *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_8s32f (const Npp8s *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsConvert_8u32f_Ctx (const Npp8u *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_8u32f (const Npp8u *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsConvert_16s8s_Sfs_Ctx (const Npp16s *pSrc, Npp8s *pDst, Npp32u nLength, NppRoundMode eRoundMode, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_16s8s_Sfs (const Npp16s *pSrc, Npp8s *pDst, Npp32u nLength, NppRoundMode eRoundMode, int nScaleFactor)
NppStatus | nppsConvert_16s32s_Ctx (const Npp16s *pSrc, Npp32s *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_16s32s (const Npp16s *pSrc, Npp32s *pDst, int nLength)
NppStatus | nppsConvert_16s32f_Ctx (const Npp16s *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_16s32f (const Npp16s *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsConvert_16u32f_Ctx (const Npp16u *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_16u32f (const Npp16u *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsConvert_32s16s_Ctx (const Npp32s *pSrc, Npp16s *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32s16s (const Npp32s *pSrc, Npp16s *pDst, int nLength)
NppStatus | nppsConvert_32s32f_Ctx (const Npp32s *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32s32f (const Npp32s *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsConvert_32s64f_Ctx (const Npp32s *pSrc, Npp64f *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32s64f (const Npp32s *pSrc, Npp64f *pDst, int nLength)
NppStatus | nppsConvert_32f64f_Ctx (const Npp32f *pSrc, Npp64f *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32f64f (const Npp32f *pSrc, Npp64f *pDst, int nLength)
NppStatus | nppsConvert_64s64f_Ctx (const Npp64s *pSrc, Npp64f *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_64s64f (const Npp64s *pSrc, Npp64f *pDst, int nLength)
NppStatus | nppsConvert_64f32f_Ctx (const Npp64f *pSrc, Npp32f *pDst, int nLength, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_64f32f (const Npp64f *pSrc, Npp32f *pDst, int nLength)
NppStatus | nppsConvert_16s32f_Sfs_Ctx (const Npp16s *pSrc, Npp32f *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_16s32f_Sfs (const Npp16s *pSrc, Npp32f *pDst, int nLength, int nScaleFactor)
NppStatus | nppsConvert_16s64f_Sfs_Ctx (const Npp16s *pSrc, Npp64f *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_16s64f_Sfs (const Npp16s *pSrc, Npp64f *pDst, int nLength, int nScaleFactor)
NppStatus | nppsConvert_32s16s_Sfs_Ctx (const Npp32s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32s16s_Sfs (const Npp32s *pSrc, Npp16s *pDst, int nLength, int nScaleFactor)
NppStatus | nppsConvert_32s32f_Sfs_Ctx (const Npp32s *pSrc, Npp32f *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32s32f_Sfs (const Npp32s *pSrc, Npp32f *pDst, int nLength, int nScaleFactor)
NppStatus | nppsConvert_32s64f_Sfs_Ctx (const Npp32s *pSrc, Npp64f *pDst, int nLength, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32s64f_Sfs (const Npp32s *pSrc, Npp64f *pDst, int nLength, int nScaleFactor)
NppStatus | nppsConvert_32f8s_Sfs_Ctx (const Npp32f *pSrc, Npp8s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32f8s_Sfs (const Npp32f *pSrc, Npp8s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor)
NppStatus | nppsConvert_32f8u_Sfs_Ctx (const Npp32f *pSrc, Npp8u *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32f8u_Sfs (const Npp32f *pSrc, Npp8u *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor)
NppStatus | nppsConvert_32f16s_Sfs_Ctx (const Npp32f *pSrc, Npp16s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32f16s_Sfs (const Npp32f *pSrc, Npp16s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor)
NppStatus | nppsConvert_32f16u_Sfs_Ctx (const Npp32f *pSrc, Npp16u *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32f16u_Sfs (const Npp32f *pSrc, Npp16u *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor)
NppStatus | nppsConvert_32f32s_Sfs_Ctx (const Npp32f *pSrc, Npp32s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_32f32s_Sfs (const Npp32f *pSrc, Npp32s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor)
NppStatus | nppsConvert_64s32s_Sfs_Ctx (const Npp64s *pSrc, Npp32s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_64s32s_Sfs (const Npp64s *pSrc, Npp32s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor)
NppStatus | nppsConvert_64f16s_Sfs_Ctx (const Npp64f *pSrc, Npp16s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_64f16s_Sfs (const Npp64f *pSrc, Npp16s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor)
NppStatus | nppsConvert_64f32s_Sfs_Ctx (const Npp64f *pSrc, Npp32s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_64f32s_Sfs (const Npp64f *pSrc, Npp32s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor)
NppStatus | nppsConvert_64f64s_Sfs_Ctx (const Npp64f *pSrc, Npp64s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor, NppStreamContext nppStreamCtx)
NppStatus | nppsConvert_64f64s_Sfs (const Npp64f *pSrc, Npp64s *pDst, int nLength, NppRoundMode eRoundMode, int nScaleFactor)

## Detailed Description

## Function Documentation

NppStatus nppsConvert_16s32f | ( | const Npp16s * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_16s32f_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_16s32f_Sfs | ( | const Npp16s * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_16s32f_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_16s32s | ( | const Npp16s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_16s32s_Ctx | ( | const Npp16s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_16s64f_Sfs | ( | const Npp16s * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_16s64f_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_16s8s_Sfs | ( | const Npp16s * | pSrc,
|  | Npp8s * | pDst,
|  | Npp32u | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_16s8s_Sfs_Ctx | ( | const Npp16s * | pSrc,
|  | Npp8s * | pDst,
|  | Npp32u | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_16u32f | ( | const Npp16u * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_16u32f_Ctx | ( | const Npp16u * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32f16s_Sfs | ( | const Npp32f * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_32f16s_Sfs_Ctx | ( | const Npp32f * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32f16u_Sfs | ( | const Npp32f * | pSrc,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_32f16u_Sfs_Ctx | ( | const Npp32f * | pSrc,
|  | Npp16u * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32f32s_Sfs | ( | const Npp32f * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_32f32s_Sfs_Ctx | ( | const Npp32f * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32f64f | ( | const Npp32f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_32f64f_Ctx | ( | const Npp32f * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32f8s_Sfs | ( | const Npp32f * | pSrc,
|  | Npp8s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_32f8s_Sfs_Ctx | ( | const Npp32f * | pSrc,
|  | Npp8s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32f8u_Sfs | ( | const Npp32f * | pSrc,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_32f8u_Sfs_Ctx | ( | const Npp32f * | pSrc,
|  | Npp8u * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32s16s | ( | const Npp32s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_32s16s_Ctx | ( | const Npp32s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32s16s_Sfs | ( | const Npp32s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_32s16s_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32s32f | ( | const Npp32s * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_32s32f_Ctx | ( | const Npp32s * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32s32f_Sfs | ( | const Npp32s * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_32s32f_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32s64f | ( | const Npp32s * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_32s64f_Ctx | ( | const Npp32s * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_32s64f_Sfs | ( | const Npp32s * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_32s64f_Sfs_Ctx | ( | const Npp32s * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_64f16s_Sfs | ( | const Npp64f * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_64f16s_Sfs_Ctx | ( | const Npp64f * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_64f32f | ( | const Npp64f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_64f32f_Ctx | ( | const Npp64f * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_64f32s_Sfs | ( | const Npp64f * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_64f32s_Sfs_Ctx | ( | const Npp64f * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_64f64s_Sfs | ( | const Npp64f * | pSrc,
|  | Npp64s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_64f64s_Sfs_Ctx | ( | const Npp64f * | pSrc,
|  | Npp64s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_64s32s_Sfs | ( | const Npp64s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor
| ) |  |

NppStatus nppsConvert_64s32s_Sfs_Ctx | ( | const Npp64s * | pSrc,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | NppRoundMode | eRoundMode,
|  | int | nScaleFactor,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_64s64f | ( | const Npp64s * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_64s64f_Ctx | ( | const Npp64s * | pSrc,
|  | Npp64f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_8s16s | ( | const Npp8s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_8s16s_Ctx | ( | const Npp8s * | pSrc,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_8s32f | ( | const Npp8s * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_8s32f_Ctx | ( | const Npp8s * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

NppStatus nppsConvert_8u32f | ( | const Npp8u * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

NppStatus nppsConvert_8u32f_Ctx | ( | const Npp8u * | pSrc,
|  | Npp32f * | pDst,
|  | int | nLength,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Copyright © 2009-2019 NVIDIA Corporation